﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion


using System.Collections.Generic;
namespace HeuristicLab.Problems.Instances {

  /// <summary>
  /// Describes instances of a Regression Problem.
  /// </summary>
  public class RegressionData {
    /// <summary>
    /// The name of the instance
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// Optional! The description of the instance
    /// </summary>
    public string Description { get; set; }

    public string TargetVariable { get; set; }

    public IEnumerable<string> InputVariables { get; set; }

    public IEnumerable<string> AllowedInputVariables { get; set; }

    public int TrainingPartitionStart { get; set; }
    public int TrainingPartitionEnd { get; set; }

    public int TestPartitionStart { get; set; }
    public int TestPartitionEnd { get; set; }

    public double[,] Values { get; set; }
  }
}
